Interface Technology Basics: Steinberg Data Types
Author: Steinberg

Interface Technology Basics VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Typedefs | Functions | Variables
Steinberg Data Types

Integral TypesData Types defined by Steinberg SDK. More...

## Typedefs
typedef char | int8
typedef uint8_t | uint8
typedef unsigned char | uchar
typedef int16_t | int16
typedef uint16_t | uint16
typedef int32_t | int32
typedef uint32_t | uint32
typedef int64_t | int64
typedef uint64_t | uint64
typedef int64 | TSize
typedef int32 | tresult
typedef uint64 | TPtrInt
typedef uint8 | TBool
typedef char | char8
typedef char16_t | char16
typedef char16 | char
typedef const char8 * | CStringA
typedef const char16 * | CStringW
typedef const char * | CString
typedef const char8 * | FIDString
typedef int32 | UCoord
| Coordinates.
typedef int64 | LARGE_INT
typedef float | ScaleFactor

## Functions
bool | strEmpty (const char *str)
bool | str8Empty (const char8 *str)
bool | str16Empty (const char16 *str)

## Variables
const FIDString | kPlatformStringWin = "WIN"
const FIDString | kPlatformStringMac = "MAC"
const FIDString | kPlatformStringIOS = "IOS"
const FIDString | kPlatformStringLinux = "Linux"
const FIDString | kPlatformString = kPlatformStringLinux
typedef FIDString | IAttrID
typedef uint32 | ColorSpec
| Colors.
typedef uint8 | ColorComponent
| Colors.
typedef ColorSpec | UColorSpec
| Colors.
typedef ColorComponent | UColorComponent
| Colors.
typedef UStringBuffer< 128 > | UString128
| Predefined UTF-16 string array types.
typedef UStringBuffer< 256 > | UString256
| 256 character UTF-16 string

## Detailed Description

Integral Types

Data Types defined by Steinberg SDK.

## Typedef Documentation

## ◆ int8

typedef char int8

## ◆ uint8

typedef uint8_t uint8

## ◆ uchar

typedef unsigned char uchar

## ◆ int16

typedef int16_t int16

## ◆ uint16

typedef uint16_t uint16

## ◆ int32

typedef int32_t int32

## ◆ uint32

typedef uint32_t uint32

## ◆ int64

typedef int64_t int64

## ◆ uint64

typedef uint64_t uint64

## ◆ TSize

typedef int64 TSize

## ◆ tresult

typedef int32 tresult

## ◆ TPtrInt

typedef uint64 TPtrInt

## ◆ TBool

typedef uint8 TBool

## ◆ char8

typedef char char8

## ◆ char16

typedef char16_t char16

## ◆ char

typedef char16 char

## ◆ CStringA

typedef const char8* CStringA

## ◆ CStringW

typedef const char16* CStringW

## ◆ CString

typedef const char* CString

## ◆ FIDString

typedef const char8* FIDString

## ◆ UCoord

typedef int32 UCoord

Coordinates.

## ◆ LARGE_INT

typedef int64 LARGE_INT

## ◆ IAttrID

typedef FIDString IAttrID

## ◆ ColorSpec

typedef uint32 ColorSpec

Colors.

## ◆ UString128

typedef UStringBuffer<128> UString128

Predefined UTF-16 string array types.

128 character UTF-16 string

## ◆ ScaleFactor

typedef float ScaleFactor

## ◆ ColorComponent

typedef uint8 ColorComponent

Colors.

## ◆ UColorSpec

typedef ColorSpec UColorSpec

Colors.

## ◆ UColorComponent

typedef ColorComponent UColorComponent

Colors.

## ◆ UString256

typedef UStringBuffer<256> UString256

256 character UTF-16 string

## Function Documentation

## ◆ strEmpty()

bool strEmpty | ( | const char * | str | ) |
| inline

## ◆ str8Empty()

bool str8Empty | ( | const char8 * | str | ) |
| inline

## ◆ str16Empty()

bool str16Empty | ( | const char16 * | str | ) |
| inline

## Variable Documentation

## ◆ kPlatformStringWin

const FIDString kPlatformStringWin = "WIN"

## ◆ kPlatformStringMac

const FIDString kPlatformStringMac = "MAC"

## ◆ kPlatformStringIOS

const FIDString kPlatformStringIOS = "IOS"

## ◆ kPlatformStringLinux

const FIDString kPlatformStringLinux = "Linux"

## ◆ kPlatformString

const FIDString kPlatformString = kPlatformStringLinux

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.